Subject: Re: linux-next: duplicate patches in the devicetree tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Jul 2024 23:29:16 +1000

Hi all,

On Tue, 09 Jul 2024 15:15:44 +0200 "Arnd Bergmann" <[email-masked]> wrote:
>
> On Tue, Jul 9, 2024, at 14:42, Rob Herring wrote:
> > On Tue, Jul 9, 2024 at 12:46 AM Stephen Rothwell <[email-masked]> wrote:  
> >>
> >> The following commits are also in the arm-soc and risc-v trees as
> >> different commits (but the same patches):
> >>
> >>   0620bce64afa ("dt-bindings: riscv: cpus: add ref to interrupt-controller")
> >>   877097a2fab0 ("dt-bindings: interrupt-controller: convert marvell,mpic binding to YAML")
> >>   c7ce06684bf5 ("dt-bindings: interrupt-controller: riscv,cpu-intc: convert to dtschema")  
> >
> > I had to rebase my tree yesterday to drop a bunch of reserved-memory
> > restructuring that seems broken beyond repair. Maybe I'm going to have
> > to just do reverts instead. I had no knowledge that anyone had pulled
> > in my tree and how is it just these 3 commits? It should be at least
> > these:  
> 
> I picked up 
> 
> b1a4e71d4fc4 arm: dts: arm: Drop redundant fixed-factor clocks
> f7e642bcd622 dt-bindings: interrupt-controller: convert marvell,mpic binding to YAML
> 2af8d8a583a4 ARM: dts: armada-{370-xp,375,38x,39x}: Drop #size-cells from mpic node
> 
> from patchwork when they were sent to [email-masked]. I don't
> see the other ones in the arm-soc tree though, maybe they
> are merged elsewhere?

Yeah, the risc-v tree.  Sorry about that, I should probably have done 2
notifications.

-- 
Cheers,
Stephen Rothwell